.titleBar { margin-bottom: 5px!important; }

Neue Firmware 1.1.6.44 verfügbar

Dieses Thema im Forum "Grandstream" wurde erstellt von skid, 24 Nov. 2008.

  1. skid

    skid Neuer User

    Registriert seit:
    17 Feb. 2006
    Beiträge:
    67
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
  2. Ciscofreak

    Ciscofreak Neuer User

    Registriert seit:
    8 Sep. 2007
    Beiträge:
    92
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    hab diese heute morgen aufgespielt - bisher läuft sie stabil !!
     
  3. popelheini

    popelheini Neuer User

    Registriert seit:
    20 Feb. 2006
    Beiträge:
    103
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Was'n das fuer ein Sch.....???
    Ich habe die 1.1.6.44 runtergeladen, aber alle Files sind identisch mit 1.1.6.37 - damit verweigert das GXP2000 natuerlich das vermeintlich Update (ist ja nichts neu). Fehler im Downloadverzeichnis von Grandstream?

    Popel
    PS: Die ZIP files sind unterschiedlich, aber das heisst ja nichts.
     
  4. skid

    skid Neuer User

    Registriert seit:
    17 Feb. 2006
    Beiträge:
    67
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
  5. popelheini

    popelheini Neuer User

    Registriert seit:
    20 Feb. 2006
    Beiträge:
    103
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Hast Du es denn auch installiert? Welche Version laeuft denn nach dem "Update".
    Entweder installiert niemand die Software oder der Server von Grandstream schickt nur mir die alte Firmware (unter neuen Namen).

    Popel
     
  6. Chaotux

    Chaotux Neuer User

    Registriert seit:
    10 Nov. 2005
    Beiträge:
    198
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Mmmh. Jetzt hast Du mich aber neugierig gemacht :) Also Firmware saugen, installieren...

    Software Version: Program-- 1.1.6.44 Bootloader-- 1.1.6.6

    Ein diff gibt auch folgendes aus:
    Code:
    Binärdateien 1.1.6.37/bt200e.bin and ./bt200e.bin sind verschieden.
    Binärdateien 1.1.6.37/gxp1200e.bin and ./gxp1200e.bin sind verschieden.
    Binärdateien 1.1.6.37/gxp2000e.bin and ./gxp2000e.bin sind verschieden.
    Binärdateien 1.1.6.37/gxp2010e.bin and ./gxp2010e.bin sind verschieden.
    Binärdateien 1.1.6.37/gxp2020e.bin and ./gxp2020e.bin sind verschieden.
    Binärdateien 1.1.6.37/gxp280e.bin and ./gxp280e.bin sind verschieden.
    Kann Dein Phaenomen also nicht reproduzieren. Oder GS hat die Datei auf Ihrem Server jetzt aktualisiert...

    Tschuess,
    Lars
     
  7. popelheini

    popelheini Neuer User

    Registriert seit:
    20 Feb. 2006
    Beiträge:
    103
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Jetzt kommen wir der Sache naeher. Nur die (e)'s sind verschieden. Das will mein GXP2000 anscheinend nicht laden. Gibt es verschiedene HW Revisionen oder warum a-e ?

    Popel
     
  8. Chaotux

    Chaotux Neuer User

    Registriert seit:
    10 Nov. 2005
    Beiträge:
    198
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Mmmh. Also meinen Beobachtungen nach haben die Buchstaben am Schluss was mit der Bootloader-Version zu tun. Zumindest hat mein Telefon bis vor ein paar Updates (ich glaube vor der Umstellung auf 1.1.6.x) 'd' geladen. 'e'-Dateien waren zu dem Zeitpunkt im Archiv allerding auch noch garnicht vorhanden.

    Was fuer eine Bootloader-Version hast Du denn installiert?

    Der Vollstaendigkeit halber: Product Model: GXP2020 (HW0.3A)

    So. Mal ein Vergleich zwischen 1.1.6.16 und 1.1.6.44:

    Code:
    Nur in .: boot55a.bin.
    Nur in .: boot55b.bin.
    Nur in .: boot55.bin.
    Nur in .: boot55e16.bin.
    Binärdateien 1.1.6.16/boot55e.bin and ./boot55e.bin sind verschieden.
    Nur in 1.1.6.16: bt200b.bin.
    Binärdateien 1.1.6.16/bt200e.bin and ./bt200e.bin sind verschieden.
    Binärdateien 1.1.6.16/gxp1200e.bin and ./gxp1200e.bin sind verschieden.
    Nur in .: gxp2000a.bin.
    Binärdateien 1.1.6.16/gxp2000e.bin and ./gxp2000e.bin sind verschieden.
    Binärdateien 1.1.6.16/gxp2010e.bin and ./gxp2010e.bin sind verschieden.
    Binärdateien 1.1.6.16/gxp2020e.bin and ./gxp2020e.bin sind verschieden.
    Nur in .: gxp280e.bin.
    
    Haben sich wohl groesstenteils auch nur die 'e'-Dateien geaendert....

    Lars
     
  9. popelheini

    popelheini Neuer User

    Registriert seit:
    20 Feb. 2006
    Beiträge:
    103
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Fehler eingegrenzt, das Logfile war gespraechig:

    Der TFTP-Server laeuft problemlos (mehrere Geraete nutzen ihn), habe auch testweise die besagten Files per tftp erfolgreich runtergeladen.

    Hat jemand hilfreiche Ideen?

    Popel
     
  10. Chaotux

    Chaotux Neuer User

    Registriert seit:
    10 Nov. 2005
    Beiträge:
    198
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Vielleicht hat das was mit dem Fehler aus dem Release-File zu tun:

    • Fixed GXP2000 v0.3 and some v0.4 cannot upgrade to another build

    Ich wuerde mal Grandstream anschreiben, ob Du nach dem Update auf 1.1.6.37 jetzt nicht mehr updaten kannst... und ob sie evtl. eine Loesung dafuer haben.

    Lars
     
  11. thorsee

    thorsee Neuer User

    Registriert seit:
    19 Nov. 2006
    Beiträge:
    45
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Ich kann den Fehler bestätigen.

    Meine Hardware:
    Im Logfile finde ich ebenfalls die Meldungen:
    Es scheint also kein Einzelfall zu sein.

    Gruß

    Thorsee
     
  12. popelheini

    popelheini Neuer User

    Registriert seit:
    20 Feb. 2006
    Beiträge:
    103
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Hi Thorsee

    Wer von uns nimmt Kontakt mit Grandstream auf?


    Popel
     
  13. Chaotux

    Chaotux Neuer User

    Registriert seit:
    10 Nov. 2005
    Beiträge:
    198
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Nur zur Information:

    Ich habe ein GXP-2000 HW1.1A und mehrere HW1.2B erfolgreich von 1.1.6.37 auf .44 updaten koennen. Scheint wohl wirklich was mit der Hardware-Version zu tun zu haben.

    Viel Erfolg,
    Lars
     
  14. thorsee

    thorsee Neuer User

    Registriert seit:
    19 Nov. 2006
    Beiträge:
    45
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Ich habe gerade eine Mail an den Support geschrieben, und das Problem geschildert.

    Thorsee
     
  15. gvde

    gvde Neuer User

    Registriert seit:
    13 Okt. 2006
    Beiträge:
    50
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Im Syslog steht bei Verwendung von HTTP statt TFTP:

    GXP2000 (HW0.3)
    Software Version: Program-- 1.1.6.37 Bootloader-- 1.1.6.6
     
  16. eMKay

    eMKay Neuer User

    Registriert seit:
    17 März 2006
    Beiträge:
    7
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    selbes problem HW0.4
    hätte ich eine ältere firmware als 1.1.6.37, könnte ich versuchen, ob ein downgrade funktioniert und er dann auf die 44 upgradet...hat mir jemand die alten firmware files?
     
  17. Chaotux

    Chaotux Neuer User

    Registriert seit:
    10 Nov. 2005
    Beiträge:
    198
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Du hast Post.
     
  18. fowe

    fowe Neuer User

    Registriert seit:
    18 Aug. 2005
    Beiträge:
    102
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    #18 fowe, 11 Dez. 2008
    Zuletzt bearbeitet: 12 Dez. 2008
    Habe seither extreme knackgeräusche auf allen GXP2000 (die von der Gegenstelle jedoch nicht wahrgenommen werden)

    edit : scheint ein Problem in Verbindung mit dem Asterisk zu sein ( einen direkten acount zu einem Sip Provider scheint ohne Störungen zu funktionieren ... )
     
  19. eMKay

    eMKay Neuer User

    Registriert seit:
    17 März 2006
    Beiträge:
    7
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    danke @ chaotux!

    schlechte nachricht: das GXP2000 (HW0.4) kann auch die alten Firmware-Dateien nicht mehr kopieren und so scheint auch ein downgrade nicht mehr möglich...
     
  20. eMKay

    eMKay Neuer User

    Registriert seit:
    17 März 2006
    Beiträge:
    7
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    der syslog server im debug level schreibt folgendes beim updatevorgang vom grandstream server [GXP2000 (HW0.4) 1.1.6.37]:

    Code:
    Provision attempt 1
    No configuration server is configured, skipping cfg download	
    TFTP Option Parser: blkSize=1024 timeout=4 tsize=53674 grandstream_NAT=47809	
    ERROR 4108 GET boot55e.bin
    TFTP Option Parser: blkSize=1024 timeout=4 tsize=26602 grandstream_NAT=47812	
    ERROR 4108 GET gxp2000e.bin
    TFTP Option Parser: blkSize=1024 timeout=4 tsize=65072 grandstream_NAT=47816	
    Abort: Same as stored GET ring1.bin
    TFTP Option Parser: blkSize=1024 timeout=4 tsize=27588 grandstream_NAT=47822
    Abort: Same as stored GET ring2.bin
    TFTP Option Parser: blkSize=1024 timeout=4 tsize=58688 grandstream_NAT=47826
    ERROR 0 GET ring3.bin
    File Not Found: gxp.lpf